bool_set File Reference

Go to the source code of this file.

## Classes

class | std::tr2::bool_set

## Namespaces

namespace | std
namespace | std::tr2

## Functions

bool | std::tr2::certainly (bool_set __b)
bool | std::tr2::contains (bool_set __s, bool_set __t)
bool | std::tr2::equals (bool_set __s, bool_set __t)
bool | std::tr2::is_emptyset (bool_set __b)
bool | std::tr2::is_indeterminate (bool_set __b)
bool | std::tr2::is_singleton (bool_set __b)
bool_set | std::tr2::operator!= (bool __s, bool_set __t)
bool_set | std::tr2::operator!= (bool_set __s, bool __t)
bool_set | std::tr2::operator!= (bool_set __s, bool_set __t)
bool_set | std::tr2::operator& (bool __s, bool_set __t)
bool_set | std::tr2::operator& (bool_set __s, bool __t)
bool_set | std::tr2::operator== (bool __s, bool_set __t)
bool_set | std::tr2::operator== (bool_set __s, bool __t)
bool_set | std::tr2::operator^ (bool __s, bool_set __t)
bool_set | std::tr2::operator^ (bool_set __s, bool __t)
bool_set | std::tr2::operator| (bool __s, bool_set __t)
bool_set | std::tr2::operator| (bool_set __s, bool __t)
bool | std::tr2::possibly (bool_set __b)
bool_set | std::tr2::set_complement (bool_set __b)
bool_set | std::tr2::set_intersection (bool __s, bool_set __t)
bool_set | std::tr2::set_intersection (bool_set __s, bool __t)
bool_set | std::tr2::set_intersection (bool_set __s, bool_set __t)
bool_set | std::tr2::set_union (bool __s, bool_set __t)
bool_set | std::tr2::set_union (bool_set __s, bool __t)
bool_set | std::tr2::set_union (bool_set __s, bool_set __t)

## Detailed Description

This is a TR2 C++ Library header.

Definition in file bool_set.